Qt 5.7 | Qt 3D | C++ Classes | QTechnique

Qt 5.7.1 Reference Documentation

# QTechnique Class

(Qt3DRender::QTechnique)

Encapsulates a Technique. More...

Header: | #include <QTechnique>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | Technique
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- graphicsApiFilter : Qt3DRender::QGraphicsApiFilter * const

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QTechnique(Qt3DCore::QNode *parent = nullptr)
void | addFilterKey(QFilterKey *filterKey)
void | addParameter(QParameter *parameter)
void | addRenderPass(QRenderPass *pass)
QVector<QFilterKey *> | filterKeys() const
QGraphicsApiFilter * | graphicsApiFilter()
QVector<QParameter *> | parameters() const
void | removeFilterKey(QFilterKey *filterKey)
void | removeParameter(QParameter *parameter)
void | removeRenderPass(QRenderPass *pass)
QVector<QRenderPass *> | renderPasses() const

- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QTechnique(QTechniquePrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode

## Detailed Description

Encapsulates a Technique.

A Qt3DRender::QTechnique specifies a set of Qt3DRender::QRenderPass objects, Qt3DRender::QFilterKey objects, Qt3DRender::QParameter objects and a Qt3DRender::QGraphicsApiFilter, which together define a rendering technique the given graphics API can render. The filter keys are used by Qt3DRender::QTechniqueFilter to select specific techinques at specific parts of the FrameGraph. If the same parameter is specified both in QTechnique and QRenderPass, the one in QTechnique overrides the one used in the QRenderPass.

See also Qt3DRender::QEffect.

## Property Documentation

### graphicsApiFilter : Qt3DRender::QGraphicsApiFilter * const

Specifies the graphics API filter being used

Access functions:

QGraphicsApiFilter * | graphicsApiFilter()

## Member Function Documentation

### QTechnique::QTechnique(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QTechnique.

### `[protected]` QTechnique::QTechnique(QTechniquePrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### void QTechnique::addFilterKey(QFilterKey *filterKey)

Add filterKey to the Qt3DRender::QTechnique local filter keys.

### void QTechnique::addParameter(QParameter *parameter)

Add parameter to the technique's parameters.

### void QTechnique::addRenderPass(QRenderPass *pass)

Appends a pass to the technique.

### QVector<QFilterKey *> QTechnique::filterKeys() const

Returns the list of Qt3DCore::QFilterKey key objects making up the filter keys of the Qt3DRender::QTechnique.

### QVector<QParameter *> QTechnique::parameters() const

Returns a vector of the techniques current parameters

### void QTechnique::removeFilterKey(QFilterKey *filterKey)

Removes filterKey from the Qt3DRender::QTechnique local filter keys.

### void QTechnique::removeParameter(QParameter *parameter)

Remove parameter from the technique's parameters.

### void QTechnique::removeRenderPass(QRenderPass *pass)

Removes a pass from the technique.

### QVector<QRenderPass *> QTechnique::renderPasses() const

Returns the list of render passes contained in the technique.